QGIS Application - Bug report #3907
struct/class mismatch for QgsDataSourceURI
2006-03-24 12:55 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13931
Description

In ggsdatasourceuri.h file, QgsDataSourceURlI is
declared as a struct:

struct [[QgsDataSourceURI]]

{
...

%

but in file qgsdataprovider.h the same type is

announced in forward declaration using class keyword:

class [[QgsDataSourceURI]];

The compiler will use the type given in the definition,
instead of that in forward declaration.

History

#1 - 2006-04-08 04:39 AM - Gavin Macaulay -
- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:273b0a1b (SVN r5230)

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

2024-04-29

1/1




